IntegrationsJira

Search issues with a JQL filter (no ORDER BY; sort with order_by) and cursor pagination

POST
/integrations/connections/{connection_id}/providers/jira/issues/search

Search issues with a JQL filter (no ORDER BY; sort with order_by) and cursor pagination. project_key restricts the search to one project. Descriptions are returned as plain text when 'description' is requested in fields; custom fields as JSON strings.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/jira/issues/search" \  -H "Content-Type: application/json" \  -d '{    "jql": "example"  }'
{  "items": [],  "is_last": false,  "limit_applied": 0}